<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/SDL/begin_code.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_bb71c587d4eee030bda30f2f35ebd6b7.html">SDL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">begin_code.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="begin__code_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8ee189cfed593708b48fa2163caaed7"><td class="memItemLeft" align="right" valign="top"><a id="ad8ee189cfed593708b48fa2163caaed7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>_begin_code_h</b></td></tr>
<tr class="separator:ad8ee189cfed593708b48fa2163caaed7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace2a23221522c1222ee165136d2c316c"><td class="memItemLeft" align="right" valign="top"><a id="ace2a23221522c1222ee165136d2c316c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_DEPRECATED</b></td></tr>
<tr class="separator:ace2a23221522c1222ee165136d2c316c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7ccce7052e1fdf5a79475866154727c"><td class="memItemLeft" align="right" valign="top"><a id="ac7ccce7052e1fdf5a79475866154727c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_UNUSED</b></td></tr>
<tr class="separator:ac7ccce7052e1fdf5a79475866154727c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4c7a931f4a968f818b2a1b10a432185"><td class="memItemLeft" align="right" valign="top"><a id="aa4c7a931f4a968f818b2a1b10a432185"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>DECLSPEC</b></td></tr>
<tr class="separator:aa4c7a931f4a968f818b2a1b10a432185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81faf4ba0455dc75f2e0507eddb79401"><td class="memItemLeft" align="right" valign="top"><a id="a81faf4ba0455dc75f2e0507eddb79401"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDLCALL</b></td></tr>
<tr class="separator:a81faf4ba0455dc75f2e0507eddb79401"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a319a994e2ea1a7e16679ad4dec2e94"><td class="memItemLeft" align="right" valign="top"><a id="a6a319a994e2ea1a7e16679ad4dec2e94"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_INLINE</b>&#160;&#160;&#160;inline</td></tr>
<tr class="separator:a6a319a994e2ea1a7e16679ad4dec2e94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f04218fe09e6ee659e045b2f11542ed"><td class="memItemLeft" align="right" valign="top"><a id="a9f04218fe09e6ee659e045b2f11542ed"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>__inline__</b>&#160;&#160;&#160;inline</td></tr>
<tr class="separator:a9f04218fe09e6ee659e045b2f11542ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addf1f12c70f89102cc187297860c5961"><td class="memItemLeft" align="right" valign="top"><a id="addf1f12c70f89102cc187297860c5961"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_FORCE_INLINE</b>&#160;&#160;&#160;static SDL_INLINE</td></tr>
<tr class="separator:addf1f12c70f89102cc187297860c5961"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10bf668f248382b6b4447f7865cb563e"><td class="memItemLeft" align="right" valign="top"><a id="a10bf668f248382b6b4447f7865cb563e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>SDL_NORETURN</b></td></tr>
<tr class="separator:a10bf668f248382b6b4447f7865cb563e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a070d2ce7b6bb7e5c05602aa8c308d0c4"><td class="memItemLeft" align="right" valign="top"><a id="a070d2ce7b6bb7e5c05602aa8c308d0c4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>NULL</b>&#160;&#160;&#160;((void *)0)</td></tr>
<tr class="separator:a070d2ce7b6bb7e5c05602aa8c308d0c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file sets things up for C dynamic library function definitions, static inlined functions, and structures aligned at 4-byte alignment. If you don't like ugly C preprocessor code, don't look at this file. :) </p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
